Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class IterateBlock<T>

    java.lang.Object
      com.mysql.jdbc.IterateBlock<T>

    public abstract class IterateBlock<T>

extends java.lang.Object

Field Summary
`(package private) DatabaseMetaData.IteratorWithCleanup<T>` | `iteratorWithCleanup`
`(package private) java.util.Iterator<T>` | `javaIterator`
`(package private) boolean` | `stopIterating`

Constructor Summary
`IterateBlock(DatabaseMetaData.IteratorWithCleanup<T> i)`
`IterateBlock(java.util.Iterator<T> i)`

Method Summary
`void` | `doForAll()`
`(package private) abstract void` | `forEach(T each)`
`boolean` | `fullIteration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iteratorWithCleanup

    DatabaseMetaData.IteratorWithCleanup<T> iteratorWithCleanup

### javaIterator

    java.util.Iterator<T> javaIterator

### stopIterating

    boolean stopIterating

Constructor Detail

### IterateBlock

    IterateBlock(DatabaseMetaData.IteratorWithCleanup<T> i)

### IterateBlock

    IterateBlock(java.util.Iterator<T> i)

Method Detail

### doForAll

    public void doForAll()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### forEach

    abstract void forEach(T each)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### fullIteration

    public final boolean fullIteration()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD